<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/indiceGiniTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - indiceGiniTEST.cpp<span style="font-size: 80%;"> (source / <a href="indiceGiniTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">35</td>
            <td class="headerCovTableEntry">35</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : 
<span class="lineNum">       8 </span>            : using namespace std;
<span class="lineNum">       9 </span>            : 
<span class="lineNum">      10 </span>            : 
<a name="11"><span class="lineNum">      11 </span>            : #define UMBRAL 0.001</a>
<span class="lineNum">      12 </span>            : 
<span class="lineNum">      13 </span><span class="lineCov">         25 : TEST(indiceGini, desigualdadTotalTresHogares){</span>
<span class="lineNum">      14 </span>            :     eph_h th = {
<span class="lineNum">      15 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      16 </span>            :             {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      17 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      18 </span><span class="lineCov">         10 :     };</span>
<span class="lineNum">      19 </span>            : 
<span class="lineNum">      20 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 90, 1},
<span class="lineNum">      21 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 90, 1},
<span class="lineNum">      22 </span>            :                 {200,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">      23 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">      24 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">      25 </span><span class="lineCov">         10 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1}};</span>
<span class="lineNum">      26 </span>            : 
<span class="lineNum">      27 </span><span class="lineCov">          5 :     assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">      28 </span><span class="lineCov">          5 :     float b = 1 * (1.0/2) * (1.0/3);</span>
<span class="lineNum">      29 </span><span class="lineCov">          5 :     EXPECT_TRUE(flotante_valido(1 - 2*b,indiceGini(th,ti),UMBRAL));</span>
<a name="30"><span class="lineNum">      30 </span><span class="lineCov">          5 : }</span></a>
<span class="lineNum">      31 </span>            : 
<span class="lineNum">      32 </span><span class="lineCov">         25 : TEST(indiceGini, igualdadTotalDosHogares){</span>
<span class="lineNum">      33 </span>            :     eph_h th = {
<span class="lineNum">      34 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      35 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      36 </span><span class="lineCov">         10 :     };</span>
<span class="lineNum">      37 </span>            : 
<span class="lineNum">      38 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1},
<span class="lineNum">      39 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 1, 1},
<span class="lineNum">      40 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1,  1},
<span class="lineNum">      41 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 1,  1},
<span class="lineNum">      42 </span><span class="lineCov">         10 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1,  1}};</span>
<span class="lineNum">      43 </span>            : 
<span class="lineNum">      44 </span><span class="lineCov">          5 :     assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">      45 </span><span class="lineCov">          5 :     float b = 1.0/2;</span>
<span class="lineNum">      46 </span><span class="lineCov">          5 :     EXPECT_TRUE(flotante_valido(1-2*b,indiceGini(th,ti),UMBRAL));</span>
<span class="lineNum">      47 </span><span class="lineCov">          5 : }</span>
<a name="48"><span class="lineNum">      48 </span>            : </a>
<span class="lineNum">      49 </span>            : 
<span class="lineNum">      50 </span><span class="lineCov">         25 : TEST(indiceGini, hogaresConIngresosNoInformados){</span>
<span class="lineNum">      51 </span>            :     eph_h th = {
<span class="lineNum">      52 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      53 </span>            :             {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      54 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      55 </span><span class="lineCov">         10 :     };</span>
<span class="lineNum">      56 </span>            : 
<span class="lineNum">      57 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 90, 1},
<span class="lineNum">      58 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">      59 </span>            :                 {200,  2, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">      60 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, -1,  1},
<span class="lineNum">      61 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, -1,  1},
<span class="lineNum">      62 </span><span class="lineCov">         10 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, -1,  1}};</span>
<span class="lineNum">      63 </span>            : 
<span class="lineNum">      64 </span><span class="lineCov">          5 :     assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">      65 </span><span class="lineCov">          5 :     float b = 1 * (1.0/2) * (1.0/3);</span>
<span class="lineNum">      66 </span><span class="lineCov">          5 :     EXPECT_TRUE(flotante_valido(1-2*b,indiceGini(th,ti),UMBRAL));</span>
<a name="67"><span class="lineNum">      67 </span><span class="lineCov">          5 : }</span></a>
<span class="lineNum">      68 </span>            : 
<span class="lineNum">      69 </span><span class="lineCov">         25 : TEST(indiceGini, dosHogares){</span>
<span class="lineNum">      70 </span>            :     eph_h th = {
<span class="lineNum">      71 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      72 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      73 </span><span class="lineCov">         10 :     };</span>
<span class="lineNum">      74 </span>            : 
<span class="lineNum">      75 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 90, 1},
<span class="lineNum">      76 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 10,  1},
<span class="lineNum">      77 </span>            :                 {960,  2, 2017, 1, 0, 2, 20, 1,  3, 10,  1},
<span class="lineNum">      78 </span><span class="lineCov">         10 :                 {960,  1, 2017, 1, 0, 2, 19, 0,  0, 10,     6}};</span>
<span class="lineNum">      79 </span>            : 
<span class="lineNum">      80 </span><span class="lineCov">          5 :     assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">      81 </span><span class="lineCov">          5 :     float b = (1.0/10)*(1.0/2)*(1.0/2) + (1.0/10)*(1.0/2) + (9.0/10)*(1.0/2)*(1.0/2);</span>
<span class="lineNum">      82 </span><span class="lineCov">          5 :     EXPECT_TRUE(flotante_valido(1-2*b,indiceGini(th,ti),UMBRAL));</span>
<a name="83"><span class="lineNum">      83 </span><span class="lineCov">          5 : }</span></a>
<span class="lineNum">      84 </span>            : 
<span class="lineNum">      85 </span><span class="lineCov">         25 : TEST(indiceGini, theAnswerToTheUltimateQuestionOfLifeTheUniverseAndEverything){ /*hab'ia que agregar uno m'as*/</span>
<span class="lineNum">      86 </span>            :     eph_h th = {
<span class="lineNum">      87 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      88 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      89 </span><span class="lineCov">         10 :     };</span>
<span class="lineNum">      90 </span>            : 
<span class="lineNum">      91 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 90, 1},
<span class="lineNum">      92 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 10,  1},
<span class="lineNum">      93 </span>            :                 {960,  2, 2017, 1, 0, 2, 20, 1,  3, 10,  1},
<span class="lineNum">      94 </span><span class="lineCov">         10 :                 {960,  1, 2017, 1, 0, 2, 19, 0,  0, 10,     6}};</span>
<span class="lineNum">      95 </span>            : 
<span class="lineNum">      96 </span><span class="lineCov">          5 :     assert(esEncuestaValida(th,ti));</span>
<a name="97"><span class="lineNum">      97 </span><span class="lineCov">          5 :     float b = (1.0/10)*(1.0/2)*(1.0/2) + (1.0/10)*(1.0/2) + (9.0/10)*(1.0/2)*(1.0/2);</span></a>
<span class="lineNum">      98 </span><span class="lineCov">          5 :     EXPECT_TRUE(flotante_valido(1-2*b,indiceGini(th,ti),UMBRAL));</span>
<span class="lineNum">      99 </span><span class="lineCov">         20 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
